WoMax Documentation

# O_label Class Reference
[Data Sequence structure]

Generic state of a data sequence. More...

`#include <Oracle_label.hpp>`

Inheritance diagram for O_label:
[legend]

List of all members.

## Protected Attributes
int | statenb
| Number of the state in the sequence.
int | bufferef
| Time reference in the buffer in ms.
int | duration
| Duration of the state in ms.
int | phrase
| Number of the phrase the state belongs to.
int | section
| Number of the section the state belongs to.
## Public Member Functions
Constructors & Destructors
| O_label ()
| Default constructor.
| O_label (int, int=0, int=0, int=0, int=0)
| Create a state from data.
| O_label (const O_label &labelin)
| Copy constructor.
| ~O_label ()
| Standard destructor.
Set & Get
int | get_statenb ()
| Return the number of the state in the sequence.
void | set_statenb (int)
| Set the number of the state in the sequence.
int | get_bufferef ()
| Return the time reference in the buffer the state is pointing to (in ms).
void | set_bufferef (int)
| Set the time reference in the buffer of the state (in ms).
int | get_duration ()
| Return the duration of the state (in ms).
void | set_duration (int)
| Set the duration of the state (in ms).
int | get_phrase ()
| Return the number of the phrase the state belongs to.
void | set_phrase (int)
| Set the number of the phrase the state belongs to.
int | get_section ()
| Return the number of the section the state belongs to.
void | set_section (int)
| Set the number of the section the state belongs to.

## Detailed Description

Generic state of a data sequence.

This class implements the common attributes of any type of data usable in the data structure

Definition at line 21 of file Oracle_label.hpp.

## Constructor & Destructor Documentation

O_label::O_label | ( |  | ) |

Default constructor.

Remarks:
  Initialises all the attributes to 0

Definition at line 12 of file Oracle_label.cpp.

O_label::O_label | ( | int | statenbin,
|  | int | bufferefin = `0`,
|  | int | durationin = `0`,
|  | int | phrasein = `0`,
|  | int | sectionin = `0` |
| ) |  |  |

Create a state from data.

State number is set to statenbin. If given, the state is pointing to bufferefin, duration is durationnin and the state belongs to phrase phrasein and section sectionin

Definition at line 23 of file Oracle_label.cpp.

The documentation for this class was generated from the following files:

- Oracle_label.hpp
- Oracle_label.cpp